### A free/open-source library for quantitative finance

EquityFXVolSurface Class Reference

Equity/FX volatility (smile) surface. More...

`#include <ql/experimental/volatility/equityfxvolsurface.hpp>`

Inheritance diagram for EquityFXVolSurface:
[legend]

List of all members.

## Public Member Functions

Constructors
See the TermStructure documentation for issues regarding constructors.
| EquityFXVolSurface (const Calendar &cal, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| EquityFXVolSurface (BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| default constructor
| EquityFXVolSurface (const Date &referenceDate, const Calendar &cal=Calendar(), BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| EquityFXVolSurface (Natural settlementDays, const Calendar &, BusinessDayConvention bdc=Following, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Black Volatility
Volatility | atmForwardVol (const Date &date1, const Date &date2, bool extrapolate=false) const
| forward (at-the-money) volatility
Volatility | atmForwardVol (Time time1, Time time2, bool extrapolate=false) const
| forward (at-the-money) volatility
Real | atmForwardVariance (const Date &date1, const Date &date2, bool extrapolate=false) const
| forward (at-the-money) variance
Real | atmForwardVariance (Time time1, Time time2, bool extrapolate=false) const
| forward (at-the-money) variance
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Equity/FX volatility (smile) surface.

This abstract class defines the interface of concrete Equity/FX volatility (smile) surfaces which will be derived from this one.

Volatilities are assumed to be expressed on an annual basis.

It's only in absence of smile that the concept of (at-the-money) forward volatility makes sense.

## Constructor & Destructor Documentation

EquityFXVolSurface | ( | const Calendar & | cal,
|  | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.

EquityFXVolSurface | ( | BusinessDayConvention | bdc = `Following`,
|  | const DayCounter & | dc = `DayCounter()`
| ) |  |

default constructor

Warning:
  term structures initialized by means of this constructor must manage their own reference date by overriding the referenceDate() method.